﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:array="http://www.w3.org/2005/xpath-functions/array" xmlns:clitype="clitype" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:ix="http://www.xbrl.org/2008/inlineXBRL" xmlns:java="java" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:map="http://www.w3.org/2005/xpath-functions/map" xmlns:math="http://www.w3.org/2005/xpath-functions/math" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xff="http://www.xbrl.org/2010/function/formula" xmlns:xfi="http://www.xbrl.org/2008/function/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="array clitype fn iso4217 ix java link map math xbrldi xbrli xff xfi xlink xs xsi">
    <xsl:output version="4.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
    <xsl:param name="SV_OutputFormat" select="'HTML'"/>
    <xsl:param name="PARAM"/>
    <xsl:variable name="XML" select="/"/>
    <xsl:decimal-format name="format1" grouping-separator="." decimal-separator=","/>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- PLID-XSLT-BIBLIOTEKA/BEGIN                                                       -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Nagłówek HTML                                                 -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_HTML_HEAD">
        <xsl:param name="prm_NODES"/>
        <xsl:param name="prm_SCOPE"/>
        <xsl:param name="prm_DESCRIPTION"/>
        <xsl:param name="prm_SINGLE_LINE"/>
        <xsl:param name="prm_WRAP_IN_ROW"/>
        <head>
            <title/>
            <meta charset="utf-8"/>
            <meta name="generator" content="handmade"/>
            <meta http-equiv="X-UA-Compatible" content="IE=7"/>
            <style type="text/css">
            <xsl:comment>
               .nagl1       { border-bottom-color:black; border-bottom-style:solid; border-bottom-width:medium; }
               .pouczenie   { font-size:x-small; font-style:italic; text-align:center; }
               .tytul       { content:normal; font-size:xx-large; text-align:center; text-decoration:line-through; }
                td          { border:0; }
                tr          { border-bottom:0; }
                .td_left    { padding-right:30px; text-align:right; }
                table       { border:0; }
            </xsl:comment>
            </style>
            <xsl:comment>[if IE]&gt;&lt;STYLE type=&quot;text/css&quot;&gt;.altova-rotate-left-textbox{filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3)} .altova-rotate-right-textbox{filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=1)} &lt;/STYLE&gt;&lt;![endif]</xsl:comment>
            <xsl:comment>[if !IE]&gt;&lt;!</xsl:comment>
            <style type="text/css">.altova-rotate-left-textbox{-webkit-transform: rotate(-90deg) translate(-100%, 0%); -webkit-transform-origin: 0% 0%;-moz-transform: rotate(-90deg) translate(-100%, 0%); -moz-transform-origin: 0% 0%;-ms-transform: rotate(-90deg) translate(-100%, 0%); -ms-transform-origin: 0% 0%;}.altova-rotate-right-textbox{-webkit-transform: rotate(90deg) translate(0%, -100%); -webkit-transform-origin: 0% 0%;-moz-transform: rotate(90deg) translate(0%, -100%); -moz-transform-origin: 0% 0%;-ms-transform: rotate(90deg) translate(0%, -100%); -ms-transform-origin: 0% 0%;}</style>
            <xsl:comment>&lt;![endif]</xsl:comment>
            <style type="text/css">@page { margin-left:0.60in; margin-right:0.60in; margin-top:0.79in; margin-bottom:0.79in } @media print { br.altova-page-break { page-break-before: always; } }</style>
        </head>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Data kalendarzowa                                             -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_DATA_KALENDARZOWA">
        <xsl:param name="prm_NODES"/>
        <xsl:choose>
            <xsl:when test="string-length($prm_NODES) &gt; 0">
                <xsl:value-of select="format-number(number(substring(string(string($prm_NODES)), 7, 2)), '00', 'format1')"/>
                <xsl:text>-</xsl:text>
                <xsl:value-of select="format-number(number(substring(string(string($prm_NODES)), 5, 2)), '00', 'format1')"/>
                <xsl:text>-</xsl:text>
                <xsl:value-of select="format-number(number(substring(string(string(string($prm_NODES))), 1, 4)), '0000', 'format1')"/>
            </xsl:when>
            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Data kalendarzowa i czas                                      -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_DATA_I_CZAS">
        <xsl:param name="prm_NODES"/>
        <xsl:choose>
            <xsl:when test="string-length($prm_NODES/@czas) = 15">
                <xsl:for-each select="$prm_NODES">
                    <xsl:value-of select="format-number(number(substring(string(string(@czas)), 7, 2)), '00', 'format1')"/>
                    <xsl:text>-</xsl:text>
                    <xsl:value-of select="format-number(number(substring(string(string(@czas)), 5, 2)), '00', 'format1')"/>
                    <xsl:text>-</xsl:text>
                    <xsl:value-of select="format-number(number(substring(string(string(string(@czas))), 1, 4)), '0000', 'format1')"/>
                    <xsl:text> </xsl:text>
                    <xsl:value-of select="format-number(number(substring(string(string(string(@czas))), 10, 2)), '00', 'format1')"/>
                    <xsl:text>:</xsl:text>
                    <xsl:value-of select="format-number(number(substring(string(string(string(@czas))), 12, 2)), '00', 'format1')"/>
                    <xsl:text>:</xsl:text>
                    <xsl:value-of select="format-number(number(substring(string(string(string(@czas))), 14, 2)), '00', 'format1')"/>
                </xsl:for-each>
            </xsl:when>
            <xsl:when test="string-length($prm_NODES/@czas) = 0"><xsl:text>BRAK DANYCH</xsl:text></xsl:when>
            <xsl:otherwise>NIEPRAWIDŁOWY FORMAT</xsl:otherwise>
        </xsl:choose>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Adres pocztowy                                                -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_ADRES_POCZTOWY">
        <xsl:param name="prm_NODES"/>
        <xsl:if test="string($prm_NODES/ulica_cecha) != &quot;&quot;">
            <xsl:for-each select="$prm_NODES/ulica_cecha">
                <xsl:apply-templates/>
                <xsl:text>&#160;</xsl:text>
            </xsl:for-each>
        </xsl:if>
        <xsl:for-each select="$prm_NODES/ulica_nazwa_pierwsza">
            <xsl:apply-templates/>
        </xsl:for-each>
        <xsl:for-each select="$prm_NODES/numer_domu">
            <xsl:text>&#160;</xsl:text><xsl:apply-templates/>
        </xsl:for-each>
        <xsl:if test="string($prm_NODES/numer_lokalu) != &quot;&quot;">
            <xsl:for-each select="$prm_NODES/numer_lokalu">
                <xsl:text>&#160;/&#160;</xsl:text><xsl:apply-templates/>
            </xsl:for-each>
        </xsl:if>
        <br/>
        <xsl:if test="string($prm_NODES/kod_pocztowy) != &quot;&quot;">
                <xsl:for-each select="$prm_NODES/kod_pocztowy">
                <xsl:value-of select="format-number(number(substring(string(string(.)), 1, 2)), '00', 'format1')"/>
                <xsl:text>-</xsl:text>
                <xsl:value-of select="format-number(number(substring(string(string(.)), 3, 3)), '000', 'format1')"/>
                </xsl:for-each>
                <xsl:text>&#160;</xsl:text>
        </xsl:if>
        <xsl:for-each select="$prm_NODES/miejscowosc_dzielnica_nazwa">
            <xsl:apply-templates/>
        </xsl:for-each>
        <br/>
        <xsl:for-each select="$prm_NODES/gmina_nazwa">
            <xsl:apply-templates/>
            </xsl:for-each>
        <xsl:if test="string($prm_NODES/wojewodztwo_nazwa) != &quot;&quot;">
            <xsl:for-each select="$prm_NODES/wojewodztwo_nazwa">
            <xsl:text>,&#160;</xsl:text>
            <xsl:apply-templates/>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Dane osoby                                                    -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_OSOBA_DANE">
        <xsl:param name="prm_NODES"/>
        <xsl:param name="prm_SCOPE"/>
        <xsl:param name="prm_DESCRIPTION"/>
        <xsl:param name="prm_SINGLE_LINE"/>
        <xsl:param name="prm_WRAP_IN_ROW"/>
        <table bgcolor="white" border="0" width="100%">
            <tbody>
                <tr>
                    <td style="width:2.83in; padding-right: 10px;" align="right">
                        <xsl:text>Data otrzymania odpowiedzi</xsl:text>
                    </td>
                    <td>
                        <xsl:for-each select="$XML/udostepnianie_response"><xsl:call-template name="tpl_DATA_I_CZAS"><xsl:with-param name="prm_NODES" select="current()"/></xsl:call-template></xsl:for-each>
                    </td>
                </tr>
                <tr>
                    <td style="width:2.83in; padding-right: 10px;" align="right">
                        <xsl:text>Sygnatura sprawy</xsl:text>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/sygnatura) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/sygnatura">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width:2.83in; padding-right: 10px;" align="right">
                        <xsl:text>&#160;</xsl:text>
                    </td>
                    <td>
                        <xsl:text>&#160;</xsl:text>
                    </td>
                </tr>
                <tr>
                    <td style="width:2.83in; "/>
                    <td>
                        <span style="text-decoration: underline; font-weight: bold;">
                            <xsl:text>Dane osoby, której dotyczy zapytanie</xsl:text>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Imię (imiona)</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_imion/imie_pierwsze) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_imion/imie_pierwsze">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise></xsl:otherwise>
                        </xsl:choose>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_imion/imie_drugie) &gt; 0">
                                <xsl:text> </xsl:text>
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_imion/imie_drugie">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise></xsl:otherwise>
                        </xsl:choose>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_imion/imiona_kolejne) &gt; 0">
                                <xsl:text> </xsl:text>
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_imion/imiona_kolejne">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise></xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Nazwisko</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_nazwiska/nazwisko) &gt; 0">
                                <xsl:text> </xsl:text>
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_nazwiska/nazwisko">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise></xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Nazwisko rodowe</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_nazwiska/nazwisko_rodowe_nazwisko) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_nazwiska"><xsl:value-of select="nazwisko_rodowe_nazwisko"/></xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Data urodzenia</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/data_urodzenia"><xsl:call-template name="tpl_DATA_KALENDARZOWA"><xsl:with-param name="prm_NODES" select="current()"/></xsl:call-template></xsl:for-each>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Miejsce urodzenia</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/miejsce_urodzenia_nazwa) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/miejsce_urodzenia_nazwa">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Kraj urodzenia</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/kraj_urodzenia_wartosc) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/kraj_urodzenia_wartosc">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Numer aktu urodzenia</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/numer_aktu) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/numer_aktu">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Płeć</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/plec) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/plec">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Obywatel kraju</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_obywatelstwa/kraj_wartosc) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_obywatelstwa/kraj_wartosc">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Numer PESEL</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/pesel) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/pesel">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
            </tbody>
        </table>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Dane rodziców                                                 -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_RODZICE">
        <xsl:param name="prm_NODES"/>
        <xsl:param name="prm_SCOPE"/>
        <xsl:param name="prm_DESCRIPTION"/>
        <xsl:param name="prm_SINGLE_LINE"/>
        <xsl:param name="prm_WRAP_IN_ROW"/>
        <table border="0" width="100%">
            <tbody>
                <tr>
                    <td style="width:2.83in; "/>
                    <td>
                        <span style="text-decoration: underline; font-weight: bold;">
                            <xsl:text>Rodzice</xsl:text>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Imię ojca</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/imie_ojca) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/imie_ojca">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Imię matki</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/imie_matki) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_urodzenia/imie_matki">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                        <br/>
                    </td>
                </tr>
            </tbody>
        </table>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Adres zameldowania                                            -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_ADRES_ZAMELDOWANIA">
        <xsl:param name="prm_NODES"/>
        <xsl:param name="prm_SCOPE"/>
        <xsl:param name="prm_DESCRIPTION"/>
        <xsl:param name="prm_SINGLE_LINE"/>
        <xsl:param name="prm_WRAP_IN_ROW"/>
        <tr>
            <td style="width: 2.83in; padding-right: 10px;" valign="top" align="right">
                <span>
                    <xsl:text>Adres zameldowania </xsl:text><xsl:value-of select="$prm_DESCRIPTION"/>
                </span>
            </td>
            <td>
                <xsl:for-each select="$prm_NODES"><xsl:call-template name="tpl_ADRES_POCZTOWY"><xsl:with-param name="prm_NODES" select="current()"/></xsl:call-template></xsl:for-each>
            </td>
        </tr>
        <tr>
            <td style="width: 2.83in; padding-right: 10px;" valign="top" align="right">
                <span>
                    <xsl:text>Data zameldowania </xsl:text><xsl:value-of select="$prm_DESCRIPTION"/>
                </span>
            </td>
            <td valign="top" >
                <xsl:for-each select="$prm_NODES/data_od"><xsl:call-template name="tpl_DATA_KALENDARZOWA"><xsl:with-param name="prm_NODES" select="current()"/></xsl:call-template></xsl:for-each>
            </td>
        </tr>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Adres pobytu stałego i czasowego                              -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_ADRES_STALY_I_CZASOWY">
        <xsl:param name="prm_NODES"/>
        <xsl:param name="prm_SCOPE"/>
        <xsl:param name="prm_DESCRIPTION"/>
        <xsl:param name="prm_SINGLE_LINE"/>
        <xsl:param name="prm_WRAP_IN_ROW"/>
        <table border="0" width="100%">
            <tbody>
                <tr>
                    <td style="width:2.83in; "/>
                    <td>
                        <span style="text-decoration: underline; font-weight: bold;">
                            <xsl:text>Dane adresowe</xsl:text>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Kraj zamieszkania</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_kraju_zamieszkania/kraj_zamieszkania_wartosc) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_kraju_zamieszkania/kraj_zamieszkania_wartosc">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>

                <xsl:choose>
                    <xsl:when test="not (count($XML/udostepnianie_response/osoba/dane_osoby/dane_pobytu_stalego/dane_aktualne) = 0)">
                        <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_pobytu_stalego/dane_aktualne"><xsl:call-template name="tpl_ADRES_ZAMELDOWANIA"><xsl:with-param name="prm_NODES" select="current()"/><xsl:with-param name="prm_DESCRIPTION" select="'(pobyt stały)'"/></xsl:call-template></xsl:for-each>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_pobytu_stalego"><xsl:call-template name="tpl_ADRES_ZAMELDOWANIA"><xsl:with-param name="prm_NODES" select="current()"/><xsl:with-param name="prm_DESCRIPTION" select="'(pobyt stały)'"/></xsl:call-template></xsl:for-each>
                    </xsl:otherwise>
                </xsl:choose>

                <xsl:choose>
                    <xsl:when test="not (count($XML/udostepnianie_response/osoba/dane_osoby/dane_pobytu_czasowego/dane_aktualne) = 0)">
                        <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_pobytu_czasowego/dane_aktualne"><xsl:call-template name="tpl_ADRES_ZAMELDOWANIA"><xsl:with-param name="prm_NODES" select="current()"/><xsl:with-param name="prm_DESCRIPTION" select="'(pobyt czasowy)'"/></xsl:call-template></xsl:for-each>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_pobytu_czasowego"><xsl:call-template name="tpl_ADRES_ZAMELDOWANIA"><xsl:with-param name="prm_NODES" select="current()"/><xsl:with-param name="prm_DESCRIPTION" select="'(pobyt czasowy)'"/></xsl:call-template></xsl:for-each>
                    </xsl:otherwise>
                </xsl:choose>

            </tbody>
        </table>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Dokument tożsamości                                           -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_DOKUMENT_TOZSAMOSCI">
        <xsl:param name="prm_NODES"/>
        <xsl:param name="prm_SCOPE"/>
        <xsl:param name="prm_DESCRIPTION"/>
        <xsl:param name="prm_SINGLE_LINE"/>
        <xsl:param name="prm_WRAP_IN_ROW"/>
        <table border="0" width="100%" style="page-break-inside: avoid;">
            <tbody>
                <tr>
                    <td style="width:2.83in; "/>
                    <td>
                        <span style="text-decoration: underline; font-weight: bold;">
                            <xsl:text>Ostatni wydany dowód osobisty obywatela polskiego</xsl:text>
                        </span>
                    </td>
                </tr>
                <tr style="height:0.21in; ">
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Seria, numer</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_dowodu_osobistego/numer_seryjny) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_dowodu_osobistego/numer_seryjny">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Data ważności</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_dowodu_osobistego/data_waznosci"><xsl:call-template name="tpl_DATA_KALENDARZOWA"><xsl:with-param name="prm_NODES" select="current()"/></xsl:call-template></xsl:for-each>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Oznaczenie organu wydającego dokument</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_dowodu_osobistego/organ_wystawca/rodzaj_organu) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_dowodu_osobistego/organ_wystawca/rodzaj_organu">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
            </tbody>
        </table>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Stan cywilny                                                  -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_STAN_CYWILNY">
        <xsl:param name="prm_NODES"/>
        <xsl:param name="prm_SCOPE"/>
        <xsl:param name="prm_DESCRIPTION"/>
        <xsl:param name="prm_SINGLE_LINE"/>
        <xsl:param name="prm_WRAP_IN_ROW"/>
        <table border="0" width="100%" style="page-break-inside: avoid;">
            <tbody>
                <tr>
                    <td style="width:2.83in; "/>
                    <td>
                        <span style="text-decoration: underline; font-weight: bold;">
                            <xsl:text>Stan cywilny oraz dane współmałżonka</xsl:text>
                        </span>
                    </td>
                </tr>
                <tr style="height:0.21in; ">
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Stan cywilny</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_stanu_cywilnego/stan_cywilny) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_stanu_cywilnego/stan_cywilny">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH!</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr style="height:0.21in; ">
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Imię współmałżonka</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_stanu_cywilnego/wspolmalzonek/imie) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_stanu_cywilnego/wspolmalzonek/imie">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr style="height:0.21in; ">
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Nazwisko współmałżonka</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_stanu_cywilnego/wspolmalzonek/nazwisko_rodowe) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_stanu_cywilnego/wspolmalzonek/nazwisko_rodowe">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr style="height:0.21in; ">
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>PESEL współmałżonka</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_stanu_cywilnego/wspolmalzonek/pesel) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_stanu_cywilnego/wspolmalzonek/pesel">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
            </tbody>
        </table>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Zgon                                                          -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template name="tpl_ZGON">
        <xsl:param name="prm_NODES"/>
        <xsl:param name="prm_SCOPE"/>
        <xsl:param name="prm_DESCRIPTION"/>
        <xsl:param name="prm_SINGLE_LINE"/>
        <xsl:param name="prm_WRAP_IN_ROW"/>
        <table border="0" width="100%">
            <tbody>
                <tr>
                    <td style="width:2.83in; "/>
                    <td>
                        <span style="text-decoration: underline; font-weight: bold;">
                            <xsl:text>Informacje o zgonie osoby, której dotyczy wniosek</xsl:text>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Data zgonu albo data znalezienia zwłok</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_zgonu/data_zgonu) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_zgonu/data_zgonu"><xsl:call-template name="tpl_DATA_KALENDARZOWA"><xsl:with-param name="prm_NODES" select="current()"/></xsl:call-template></xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>
                            <xsl:choose>
                                <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_zgonu/data_znalezienia_zwlok) &gt; 0">
                                    <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_zgonu/data_znalezienia_zwlok"><xsl:call-template name="tpl_DATA_KALENDARZOWA"><xsl:with-param name="prm_NODES" select="current()"/></xsl:call-template></xsl:for-each>
                                </xsl:when>
                                <xsl:otherwise>
                                    BRAK DANYCH
                                </xsl:otherwise>
                            </xsl:choose>
                            </xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Oznaczenie aktu zgonu</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_zgonu/numer_aktu) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_zgonu/numer_aktu">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
                <tr>
                    <td style="width: 2.83in; padding-right: 10px;" align="right">
                        <span>
                            <xsl:text>Organu wydający akt zgonu</xsl:text>
                        </span>
                    </td>
                    <td>
                        <xsl:choose>
                            <xsl:when test="string-length($XML/udostepnianie_response/osoba/dane_osoby/dane_zgonu/organ_sporzadzajacy_akt) &gt; 0">
                                <xsl:for-each select="$XML/udostepnianie_response/osoba/dane_osoby/dane_zgonu/organ_sporzadzajacy_akt">
                                    <xsl:apply-templates/>
                                </xsl:for-each>
                            </xsl:when>
                            <xsl:otherwise>BRAK DANYCH</xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
            </tbody>
        </table>
    </xsl:template>


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- PLID-XSLT-BIBLIOTEKA/END                                                         -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->


    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <!-- CEL TRANSFORMACJI: Dokument główny                                               -->
    <!-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ -->
    <xsl:template match="/">
        <html>
            <xsl:call-template name="tpl_HTML_HEAD"></xsl:call-template>
            <body style="font-family:Arial; text-align:inherit; ">
                <center>
                    <h1>
                        <span>
                            <xsl:text>Udostępnianianie danych z systemu pl.ID</xsl:text>
                        </span>
                    </h1>
                </center>
                <br/>
                <span class="pouczenie">
                    <xsl:text>Dokument wygenerowany został automatycznie podczas importowania danych do systemu</xsl:text><br/><xsl:text>Komornik SQL-VAT</xsl:text>
                </span>
                <br/>
                <br/>
                <xsl:call-template name="tpl_OSOBA_DANE"><xsl:with-param name="prm_NODES" select="''"/></xsl:call-template>
                <br/>
                <xsl:call-template name="tpl_RODZICE"><xsl:with-param name="prm_NODES" select="''"/></xsl:call-template>
                <br/>
                <xsl:call-template name="tpl_ADRES_STALY_I_CZASOWY"><xsl:with-param name="prm_NODES" select="''"/></xsl:call-template>
                <br/>
                <xsl:call-template name="tpl_DOKUMENT_TOZSAMOSCI"><xsl:with-param name="prm_NODES" select="''"/></xsl:call-template>
                <br/>
                <xsl:call-template name="tpl_STAN_CYWILNY"><xsl:with-param name="prm_NODES" select="''"/></xsl:call-template>
                <br/>
                <xsl:call-template name="tpl_ZGON"><xsl:with-param name="prm_NODES" select="''"/></xsl:call-template>
                <br/>
            </body>
        </html>
    </xsl:template>


</xsl:stylesheet>
